osl::book::WMove Struct Reference

`#include <openingBook.h>`

## Public Member Functions

int | stateIndex () const
void | setWeight (const int w)

## Public Attributes

Move | move
int | state_index
int | weight

## Detailed Description

Definition at line 97 of file openingBook.h.

## Member Function Documentation

## setWeight()

void osl::book::WMove::setWeight | ( | const int | w | ) |

inline

Definition at line 104 of file openingBook.h.

References weight.

## stateIndex()

int osl::book::WMove::stateIndex | ( |  | ) | const

inline

Definition at line 103 of file openingBook.h.

References state_index.

Referenced by osl::book::operator<<(), and osl::book::operator==().

## Member Data Documentation

## move

Move osl::book::WMove::move

Definition at line 99 of file openingBook.h.

Referenced by osl::book::WMoveMoveSort::operator()(), osl::book::WMoveWeightMoveSort::operator()(), osl::book::operator<<(), osl::book::operator==(), and osl::book::operator>>().

## state_index

int osl::book::WMove::state_index

Definition at line 100 of file openingBook.h.

Referenced by osl::book::operator>>(), and stateIndex().

## weight

int osl::book::WMove::weight

Definition at line 101 of file openingBook.h.

Referenced by osl::book::WeightedBook::moves(), osl::book::WMoveSort::operator()(), osl::book::WMoveWeightMoveSort::operator()(), osl::book::operator<<(), osl::book::operator==(), osl::book::operator>>(), and setWeight().

The documentation for this struct was generated from the following file:

- openingBook.h